curl --request GET \
--url https://api.example.com/admin/customers{
"customers": [
{
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"company_name": "Acme Financial",
"contact_email": "compliance@acmefinancial.com",
"tier": "growth",
"status": "active",
"annual_commitment": 250000,
"annual_validation_limit": 10000000,
"created_at": "2026-01-19T10:30:00Z"
},
{
"customer_id": "660e8400-e29b-41d4-a716-446655440001",
"company_name": "Beta Investments",
"contact_email": "ops@betainvest.com",
"tier": "starter",
"status": "active",
"annual_commitment": 100000,
"annual_validation_limit": 2000000,
"created_at": "2026-01-15T09:00:00Z"
}
]
}
List all customers
curl --request GET \
--url https://api.example.com/admin/customers{
"customers": [
{
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"company_name": "Acme Financial",
"contact_email": "compliance@acmefinancial.com",
"tier": "growth",
"status": "active",
"annual_commitment": 250000,
"annual_validation_limit": 10000000,
"created_at": "2026-01-19T10:30:00Z"
},
{
"customer_id": "660e8400-e29b-41d4-a716-446655440001",
"company_name": "Beta Investments",
"contact_email": "ops@betainvest.com",
"tier": "starter",
"status": "active",
"annual_commitment": 100000,
"annual_validation_limit": 2000000,
"created_at": "2026-01-15T09:00:00Z"
}
]
}
active, suspended, cancelledstarter, growth, scale, enterprise, custom{
"customers": [
{
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"company_name": "Acme Financial",
"contact_email": "compliance@acmefinancial.com",
"tier": "growth",
"status": "active",
"annual_commitment": 250000,
"annual_validation_limit": 10000000,
"created_at": "2026-01-19T10:30:00Z"
},
{
"customer_id": "660e8400-e29b-41d4-a716-446655440001",
"company_name": "Beta Investments",
"contact_email": "ops@betainvest.com",
"tier": "starter",
"status": "active",
"annual_commitment": 100000,
"annual_validation_limit": 2000000,
"created_at": "2026-01-15T09:00:00Z"
}
]
}
curl -X GET "https://{admin-api-url}/admin/customers" \
-H "x-api-key: ADMIN_API_KEY"